=== modified file 'bzrlib/add.py'
--- bzrlib/add.py	2008-05-02 07:31:24 +0000
+++ bzrlib/add.py	2009-02-08 14:10:25 +0000
@@ -54,7 +54,7 @@
         :param kind: The kind of the object being added.
         """
         if self.should_print:
-            self._to_file.write('added %s\n' % _quote(path.raw_path))
+            self._to_file.write('adding %s\n' % _quote(path.raw_path))
         return None
 
 
@@ -73,7 +73,7 @@
         file_id, base_path = self._get_base_file_id(path, parent_ie)
         if file_id is not None:
             if self.should_print:
-                self._to_file.write('added %s w/ file id from %s\n'
+                self._to_file.write('adding %s w/ file id from %s\n'
                                     % (path.raw_path, base_path))
         else:
             # we aren't doing anything special, so let the default

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2009-02-02 05:43:13 +0000
+++ bzrlib/builtins.py	2009-02-08 14:10:25 +0000
@@ -525,6 +525,8 @@
         finally:
             if base_tree is not None:
                 base_tree.unlock()
+        if not is_quiet() and len(added) > 0:
+            self.outf.write('add completed\n')
         if len(ignored) > 0:
             if verbose:
                 for glob in sorted(ignored.keys()):

=== modified file 'bzrlib/tests/blackbox/test_add.py'
--- bzrlib/tests/blackbox/test_add.py	2007-08-02 17:01:23 +0000
+++ bzrlib/tests/blackbox/test_add.py	2009-02-08 14:09:39 +0000
@@ -35,10 +35,11 @@
         results = sorted(out.rstrip('\n').split('\n'))
         self.assertEquals(['If you wish to add some of these files, please'\
                            ' add them by name.',
-                           'added .bzrignore',
-                           'added dir',
-                           'added dir/sub.txt',
-                           'added top.txt',
+                           'add completed',
+                           'adding .bzrignore',
+                           'adding dir',
+                           'adding dir/sub.txt',
+                           'adding top.txt',
                            'ignored 1 file(s).'],
                           results)
         out = self.run_bzr('add -v')[0]
@@ -146,9 +147,10 @@
         os.chdir('new')
         out, err = self.run_bzr('add --file-ids-from ../base')
         self.assertEqual('', err)
-        self.assertEqualDiff('added a w/ file id from a\n'
-                             'added b w/ file id from b\n'
-                             'added b/c w/ file id from b/c\n',
+        self.assertEqualDiff('adding a w/ file id from a\n'
+                             'adding b w/ file id from b\n'
+                             'adding b/c w/ file id from b/c\n'
+                             'add completed\n',
                              out)
         new_tree = new_tree.bzrdir.open_workingtree()
         self.assertEqual(base_tree.path2id('a'), new_tree.path2id('a'))
@@ -167,8 +169,9 @@
         os.chdir('new')
         out, err = self.run_bzr('add --file-ids-from ../base/b')
         self.assertEqual('', err)
-        self.assertEqualDiff('added c w/ file id from b/c\n'
-                             'added d w/ file id from b/d\n',
+        self.assertEqualDiff('adding c w/ file id from b/c\n'
+                             'adding d w/ file id from b/d\n'
+                             'add completed\n',
                              out)
 
         new_tree = new_tree.bzrdir.open_workingtree()

=== modified file 'bzrlib/tests/test_smart_add.py'
--- bzrlib/tests/test_smart_add.py	2007-07-04 08:46:22 +0000
+++ bzrlib/tests/test_smart_add.py	2009-02-08 14:26:35 +0000
@@ -150,7 +150,7 @@
         self.run_action("")
 
     def test__print(self):
-        self.run_action("added path\n")
+        self.run_action("adding path\n")
 
     def run_action(self, output):
         from bzrlib.add import AddAction

